### Method

# GLib Hmac unref

since: 2.30

#### Declaration [src]

    void
    g_hmac_unref (
      GHmac* hmac
    )

#### Description [src]

Atomically decrements the reference count of `hmac` by one.

If the reference count drops to 0, all keys and values will be destroyed, and all memory allocated by the hash table is released. This function is MT-safe and may be called from any thread. Frees the memory allocated for `hmac`.

Available since: 2.30

#### Parameters

`hmac`

  Type: `GHmac`

  A `GHmac`.

  The instance takes ownership of the data, and is responsible for freeing it.